be.fgov.ehealth.dics.protocol.v4

## Class HasWadaClassificationType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.HasWadaClassificationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:39+01:00",
                 comments="JAXB RI v2.3.7")
      public class HasWadaClassificationType
      extends Object
      implements Serializable

  Java class for HasWadaClassificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HasWadaClassificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="WadaCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="WadaName" type="{urn:be:fgov:ehealth:dics:core:v4:core}SearchStringType"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasWadaClassificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getWadaCode()` Gets the value of the wadaCode property.
    `String` | `getWadaName()` Gets the value of the wadaName property.
    `void` | `setWadaCode(String value)` Sets the value of the wadaCode property.
    `void` | `setWadaName(String value)` Sets the value of the wadaName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasWadaClassificationType

          public HasWadaClassificationType()

  - ### Method Detail

    - #### getWadaName

          public String getWadaName()

      Gets the value of the wadaName property.
      Returns:
        possible object is `String`

    - #### setWadaName

          public void setWadaName(String value)

      Sets the value of the wadaName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWadaCode

          public String getWadaCode()

      Gets the value of the wadaCode property.
      Returns:
        possible object is `String`

    - #### setWadaCode

          public void setWadaCode(String value)

      Sets the value of the wadaCode property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.